defmodule ExDataGovUA.Package.Meta.Base do
  defstruct [
    :profile,
    :name,
    :contributors,
    :created,
    :title,
    :keywords,
    :version,
    :licenses,
    :homepage,
    :id,
    :resources,
    :description
  ]

  @type t :: %__MODULE__{
    profile: String.t(),
    name: String.t(),
    contributors: List.t(),
    created: String.t(),
    title: String.t(),
    keywords: List.t(),
    version: String.t(),
    licenses: List.t(),
    homepage: String.t(),
    id: String.t(),
    resources: List.t(),
    description: String.t()
  }

  use ExConstructor
end
